### Name: FLXMRglmfix
### Title: FlexMix Interface to Generalized Linear Models with fixed
###   coefficients
### Aliases: FLXMRglmfix FLXglmFix
### Keywords: regression models

### ** Examples

data("NPreg")
ex <- flexmix(yn~x|id2, data=NPreg, k=2,
              model=FLXMRglm(yn~.+I(x^2)))
ex.fix <- flexmix(yn~x|id2, data = NPreg, 
                  model=FLXMRglmfix(nested = list(k = c(1,1),
                                    formula = c(~0, ~I(x^2)))))
summary(refit(ex))
summary(refit(ex.fix))



