###################################################
### chunk number 1: 
###################################################
set.seed(1504)
options(width=70, prompt = "R> ", continue = "+  ", useFancyQuotes = FALSE)
ps.options(family="Times")
library("flexmix")
data("NPreg")


###################################################
### chunk number 2: 
###################################################
library("flexmix")
data("NPreg")
m1 <- flexmix(yn ~ x + I(x^2), data = NPreg, k = 2)
m1


###################################################
### chunk number 3: 
###################################################
parameters(m1, component = 1)


###################################################
### chunk number 4: 
###################################################
parameters(m1, component = 2)


###################################################
### chunk number 5: 
###################################################
table(NPreg$class, clusters(m1))


###################################################
### chunk number 6: 
###################################################
summary(m1)


###################################################
### chunk number 7: 
###################################################
par(mfrow=c(1,2))
plot(yn~x, col=class, pch=class, data=NPreg)
plot(yp~x, col=class, pch=class, data=NPreg)


###################################################
### chunk number 8: 
###################################################
print(plot(m1))


###################################################
### chunk number 9: 
###################################################
rm1 <- refit(m1)
summary(rm1)


###################################################
### chunk number 10: 
###################################################
options(width=55)


###################################################
### chunk number 11: 
###################################################
m2 <- flexmix(yp ~ x, data = NPreg, k = 2, 
  model = FLXMRglm(family = "poisson"))
summary(m2)


###################################################
### chunk number 12: 
###################################################
options(width=65)


###################################################
### chunk number 13: 
###################################################
print(plot(m2))


###################################################
### chunk number 14: 
###################################################
m3 <- flexmix(~ x, data = NPreg, k = 2,
  model=list(FLXMRglm(yn ~ . + I(x^2)), 
    FLXMRglm(yp ~ ., family = "poisson")))


###################################################
### chunk number 15: 
###################################################
print(plot(m3))


###################################################
### chunk number 16: 
###################################################
m4 <- flexmix(yn ~ x + I(x^2) | id2, data = NPreg, k = 2)
summary(m4)


###################################################
### chunk number 17: 
###################################################
m5 <- flexmix(yn ~ x + I(x^2), data = NPreg, k = 2,
  control = list(iter.max = 15, verbose = 3, classify = "hard"))


###################################################
### chunk number 18: 
###################################################
m6 <- flexmix(yp ~ x + I(x^2), data = NPreg, k = 4,
  control = list(minprior = 0.2))

m6  


###################################################
### chunk number 19: 
###################################################
m7 <- stepFlexmix(yp ~ x + I(x^2), data = NPreg,
  control = list(verbose = 0), k = 1:5, nrep = 5)



###################################################
### chunk number 20: 
###################################################
getModel(m7, "BIC")


###################################################
### chunk number 21: 
###################################################
library("flexmix")
set.seed(1504)
options(width=60)
ps.options(family="Times")
require("ellipse")
require("mvtnorm")
source("mymclust.R")


###################################################
### chunk number 22: 
###################################################
data("Nclus")
m1 <- flexmix(Nclus ~ 1, k = 4, model = mymclust())
summary(m1)


###################################################
### chunk number 23: 
###################################################
m2 <- flexmix(Nclus ~ 1, k = 4, model = mymclust(diagonal = FALSE))
summary(m2)


###################################################
### chunk number 24: 
###################################################
par(mfrow=1:2)
plotEll(m1, Nclus)
plotEll(m2, Nclus)


###################################################
### chunk number 25: 
###################################################
SI <- sessionInfo()
pkgs <- paste(sapply(c(SI$otherPkgs, SI$loadedOnly), function(x) 
                     paste("\\\\pkg{", x$Package, "} ", 
                           x$Version, sep = "")), collapse = ", ")


